#include "Init.h"

extern void Init(void);
extern void BlockErase(unsigned int Eblock);
extern void PageWrite(unsigned int Wpage, unsigned int Wblock, unsigned char *Write_Buf);
extern void PageRead(unsigned int Rpage, unsigned int Rblock, unsigned char *Read_Buf);
extern void RandomDataInput(unsigned int RIbyte, unsigned int RIpage, unsigned int RIblock, unsigned char DataIn);
extern void RandomDataOutput(unsigned int RObyte, unsigned int ROpage, unsigned int ROblock, unsigned char DataOut);
extern void CopyBack(unsigned int SrcPage, unsigned int SrcBlock,unsigned int DestPage, unsigned int DestBlock);
extern void Error_Analysis(void);
extern short Read_Flash_Status_Register(void);


EX_INTERRUPT_HANDLER(NFC_ISR);
EX_INTERRUPT_HANDLER(NFC_IRQSTAT_ISR);

extern char BlockEraseCmd[];
extern char PageWriteCmd[];
extern char PageReadCmd[];
extern char StatusReadCmd[];
extern char RandomDataInputCmd[];
extern char RandomDataOutputCmd[];
extern char CopyBackCmd[];


extern unsigned char WriteData[];
extern unsigned char ReadData[];
extern unsigned char BadBlockTable[];

extern unsigned int ByetNo;
extern unsigned int PageNo;
extern unsigned int BlockNo; 

extern short NBUSY_Flag;
extern short Flash_Status;

extern int i;
extern int Flag1; 
extern int Flag2; 


